
function toggleTimeWork(ele){
  
    var st = document.getElementById('tmwrksbtsks');
    var is = document.getElementById('tmwrk');    
    if (ele.checked){
	st.style.display = 'block';
	is.style.display = 'none';
    }else{
 	st.style.display = 'none';
	is.style.display = 'block';     
    }
  
}

function doDocumentReady(fn){
    /* $(document).ready() without javascript
    */
    if (document.readyState === "complete" ||
        (document.readyState !== "loading" && !document.documentElement.doScroll)
                                            ) {
            fn();
    } else {
            document.addEventListener("DOMContentLoaded", fn);
    }
}


function processFluxLine(line){
    var newline;

    // Function calls etc
    newline = line.replace(/^([^\(]+)\(/,"<span class='fluxfunction'>$1</span>(");
    
    // Object references
    newline = newline.replace(/\(([r])\)/g,"(<span class='fluxobj'>$1</span>)");
    newline = newline.replace(/([rv])\./g,"<span class='fluxobj'>$1</span>.");
    
    // Operators
    newline = newline.replace(/((=&gt;|&lgt;-|\|&gt;))/g,"<span class='fluxfncoper'>$1</span>");
    newline = newline.replace(/ (=) /g,"<span class='fluxassoper'> $1 </span>");
    newline = newline.replace(/ ((not|exists|and|or)) /g,"<span class='fluxlgloper'> $1 </span>");
    newline = newline.replace(/ ((==|!=|&lt;|&gt;|&lt;=|&gt;=|=~|!~)) /g,"<span class='fluxcmpoper'> $1 </span>");
    newline = newline.replace(/ ((\+|-|\*|\/|\^|%)) /g,"<span class='fluxarthoper'> $1 </span>");
    
    // Strings and numbers
    newline = newline.replace(/\"([^\"]+)\"/g,"<span class='fluxstring'>\"$1\"</span>");
    newline = newline.replace(/([0-9](?:[\.0-9]+))/g,"<span class='fluxfloat'>$1</span>");
    
    // Comments
    newline = newline.replace(/\/\/(.*)/g,"<span class='fluxcomment'>//$1</span>");
    
    // Conditional keywords
    newline = newline.replace(/ ((if|then|else)) /g," <span class='fluxconditional'>$1</span> ");

    return newline;
}

function processFluxBlock(el){
    // Apply Flux highlighting to a Flux codeblock
    text = el.innerHTML;
    //console.log(text);
    lines = text.split("\n");
    newlines = [];
    for (var x=0; x<lines.length; x++){
       linenew = processFluxLine(lines[x]);
       newlines.push(linenew);
    }
    el.innerHTML = newlines.join("\n");
    // Prevent highlightJS from re-touching it
    el.className = "nohighlight";
}

function replaceCodeClasses(){

    eles = document.getElementsByTagName('code');
    for (var i=0; i<eles.length; i++){

        el = eles[i];
        cname = el.className.toLowerCase();
        if (cname.startsWith("flux")){
                processFluxBlock(el);
        }
    }
}



doDocumentReady(function(){
    replaceCodeClasses();
    hljs.highlightAll();   
    
});
